!DEC$ FREEFORM

!
!  Copyright 2001 Compaq Computer Corporation
!  
!  Compaq and the Compaq logo Registered in U.S. Patent and Trademark
!  Office.
!  
!  Confidential computer software.  Valid license from Compaq required for
!  possession, use or copying.  Consistent with FAR 12.211 and 12.212,
!  Commerical Computer Software, Computer Software Documentation, and
!  Technical Data for Commmerical Items are licensed to the U.S. Government
!  under vendor's standard commerical license.
!

!DEC$ IF .NOT. DEFINED( __sparse_blas_d_include )

   !DEC$ DEFINE __sparse_blas_d_include

   !DEC$ IF DEFINED( _DLL )
      !DEC$ OBJCOMMENT LIB: "cxmldll.lib" 
   !DEC$ ELSE
      !DEC$ OBJCOMMENT LIB: "cxml.lib" 
   !DEC$ ENDIF

   INTERFACE
      SUBROUTINE daxpyi(nz,a,x,indx,y)
         !DEC$ ATTRIBUTES DEFAULT :: daxpyi
         INTEGER(KIND=4) :: nz
         REAL(KIND=8) :: a
         REAL(KIND=8) :: x(*)
         INTEGER(KIND=4) :: indx(*)
         REAL(KIND=8) :: y(*)
      END SUBROUTINE daxpyi
   END INTERFACE

   INTERFACE
      FUNCTION ddoti(nz,x,indx,y)
         !DEC$ ATTRIBUTES DEFAULT :: ddoti
         INTEGER(KIND=4) :: nz
         REAL(KIND=8) :: x(*)
         INTEGER(KIND=4) :: indx(*)
         REAL(KIND=8) :: y(*)
         REAL(KIND=8) :: ddoti
      END FUNCTION ddoti
   END INTERFACE

   INTERFACE
      SUBROUTINE dgthr(nz,y,x,indx)
         !DEC$ ATTRIBUTES DEFAULT :: dgthr
         INTEGER(KIND=4) :: nz
         REAL(KIND=8) :: y(*)
         REAL(KIND=8) :: x(*)
         INTEGER(KIND=4) :: indx(*)
      END SUBROUTINE dgthr
   END INTERFACE

   INTERFACE
      SUBROUTINE dgthrs(nz,a,y,x,indx)
         !DEC$ ATTRIBUTES DEFAULT :: dgthrs
         INTEGER(KIND=4) :: nz
         REAL(KIND=8) :: a
         REAL(KIND=8) :: y(*)
         REAL(KIND=8) :: x(*)
         INTEGER(KIND=4) :: indx(*)
      END SUBROUTINE dgthrs
   END INTERFACE

   INTERFACE
      SUBROUTINE dgthrz(nz,y,x,indx)
         !DEC$ ATTRIBUTES DEFAULT :: dgthrz
         INTEGER(KIND=4) :: nz
         REAL(KIND=8) :: y(*)
         REAL(KIND=8) :: x(*)
         INTEGER(KIND=4) :: indx(*)
      END SUBROUTINE dgthrz
   END INTERFACE

   INTERFACE
      SUBROUTINE droti(nz,x,indx,y,c,s)
         !DEC$ ATTRIBUTES DEFAULT :: droti
         INTEGER(KIND=4) :: nz
         REAL(KIND=8) :: x(*)
         INTEGER(KIND=4) :: indx(*)
         REAL(KIND=8) :: y(*)
         REAL(KIND=8) :: c
         REAL(KIND=8) :: s
      END SUBROUTINE droti
   END INTERFACE

   INTERFACE
      SUBROUTINE dsctr(nz,x,indx,y)
         !DEC$ ATTRIBUTES DEFAULT :: dsctr
         INTEGER(KIND=4) :: nz
         REAL(KIND=8) :: x(*)
         INTEGER(KIND=4) :: indx(*)
         REAL(KIND=8) :: y(*)
      END SUBROUTINE dsctr
   END INTERFACE

   INTERFACE
      SUBROUTINE dsctrs(nz,a,x,indx,y)
         !DEC$ ATTRIBUTES DEFAULT :: dsctrs
         INTEGER(KIND=4) :: nz
         REAL(KIND=8) :: a
         REAL(KIND=8) :: x(*)
         INTEGER(KIND=4) :: indx(*)
         REAL(KIND=8) :: y(*)
      END SUBROUTINE dsctrs
   END INTERFACE

   INTERFACE
      SUBROUTINE dsumi(nz,x,indx,y)
         !DEC$ ATTRIBUTES DEFAULT :: dsumi
         INTEGER(KIND=4) :: nz
         REAL(KIND=8) :: x(*)
         INTEGER(KIND=4) :: indx(*)
         REAL(KIND=8) :: y(*)
      END SUBROUTINE dsumi
   END INTERFACE

!DEC$ ENDIF
